import type { Metadata } from "next";
import { Inter, Modak } from "next/font/google";
import "./globals.css";
import Link from "next/link";
import Header from "../components/Header/Header";
import UserModal from "@/components/UserModal/UserModal";
import {UserProvider} from "@/contexts/UserProvider"

const inter = Inter({ subsets: ["latin"] });

export const metadata: Metadata = {
  title: "Create Next App",
  description: "Generated by create next app",
};

export default function RootLayout({
  children,
}: Readonly<{
  children: React.ReactNode;
}>) {
  return (
    <html lang="en">
      <body className={inter.className}>
        <UserProvider>
          <Header>
            <Link href={'/'}>Категории</Link>
            <Link href={'/events'}>Мероприятия</Link>
            <UserModal></UserModal>
          </Header>
          {children}
        </UserProvider>
      </body>
    </html>
  );
}
